#include <SFML/Graphics.hpp>
#include <iostream>
#include <array>
#include "Paddle/Paddle.hpp"
#include "Ball/Ball.hpp"
#include "Score/Score.hpp"
#include "Config.hpp"

int main()
{
     sf::RenderWindow window(sf::VideoMode(WINDOW_WIDTH, WINDOW_HEIGHT), "InfoSV Pong");
    
    //Chargement fonte
	sf::Font font;
    if (!font.loadFromFile("../res/arial.ttf")) return EXIT_FAILURE;
	//Scores
	std::array<Score,2> scores =
		{
			Score(WINDOW_WIDTH-50,0,font),
			Score(10,WINDOW_HEIGHT-60,font)
		};
	

	//Titre
    sf::Text titre("INFOSV PONG", font, 150);
    titre.setRotation(45);
    titre.setFillColor(sf::Color(255,255,255,50));
    titre.setPosition(100,-90);
    titre.setStyle(sf::Text::Bold);
    //Paddles
    Paddle top(10);
    Paddle bottom(580);

    //Balle
    Ball ball;

    while (window.isOpen())
    {
		sf::Event event;
		while (window.pollEvent(event)){
		}
		
		window.clear(sf::Color(214,214,214));
		//Paddles
		top.draw(window);
		bottom.draw(window);
		//Balle
		ball.draw(window);
		//Scores
		for (int i(0); i<2; i++) scores[i].draw(window);
		//Titre
		window.draw(titre);
        
		window.display();
    }

    return EXIT_SUCCESS;
}
